### Function

# GObject ToggleNotify

since: 2.0

#### Declaration

    void
    (* GToggleNotify) (
      gpointer data,
      GObject* object,
      gboolean is_last_ref
    )

#### Description

A callback function used for notification when the state of a toggle reference changes.

See also: `g_object_add_toggle_ref()`

Available since: 2.0

#### Parameters

`data`

  Type: `gpointer`

  Callback data passed to `g_object_add_toggle_ref()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`object`

  Type: `GObject`

  The object on which `g_object_add_toggle_ref()` was called.

  The data is owned by the caller of the function.

`is_last_ref`

  Type: `gboolean`

  `TRUE` if the toggle reference is now the last reference to the object. `FALSE` if the toggle reference was the last reference and there are now other references.